Package org.jfree.report.modules.factories.report.flow

# Class ElementReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.ElementReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public abstract class ElementReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
Creation-Date: 09.04.2006, 13:55:36

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ElementReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureElement(Element e)`
`protected abstract Element`
`getElement()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.
`Object`
`getObject()`
Returns the object for this element or null, if this element does not create an object.
`String`
`getStyle()`
`boolean`
`isEnabled()`
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementReadHandler

protected ElementReadHandler()

## Method Details

### isEnabled

public boolean isEnabled()

### getStyle

public String getStyle()

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### configureElement

protected void configureElement(Element e)

### getElement

protected abstract Element getElement()

### getObject

public Object getObject() throws SAXException
Returns the object for this element or null, if this element does not create an object.

Returns:
  the object.
Throws:
  `SAXException`